> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/omnitron-openapis/attribute-values-1.md).

# Attribute Values

## List attribute values

> Retrieve a list of attribute values with optional filtering.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}},"label":{"name":"label","in":"query","description":"The display label of the attribute value","required":false,"schema":{"type":"string"}},"value":{"name":"value","in":"query","description":"Filter by value (contains)","required":false,"schema":{"type":"string"}},"erp_code":{"name":"erp_code","in":"query","description":"Filter by ERP code (contains)","required":false,"schema":{"type":"string"}},"value__exact":{"name":"value__exact","in":"query","description":"Filter by value (exact match)","required":false,"schema":{"type":"string"}},"pk__in":{"name":"pk__in","in":"query","description":"Filter by multiple primary key values (comma-separated list of integers)","required":false,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":false},"attribute":{"name":"attribute","in":"query","description":"Filter by related attribute ID","required":false,"schema":{"type":"integer","format":"int64"}}},"schemas":{"AttributeValue":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"attribute":{"$ref":"#/components/schemas/Attribute"},"label":{"type":"string","nullable":true,"description":"The display label of the attribute value"},"value":{"type":"string","description":"The actual value of the attribute"},"order":{"type":"integer","nullable":true,"description":"Order of the attribute value"},"erp_code":{"type":"string","maxLength":255,"description":"ERP code for integration purposes"},"created_date":{"type":"string","format":"date-time","description":"Date and time when the attribute value was created"},"modified_date":{"type":"string","format":"date-time","description":"Date and time when the attribute value was last modified"},"translations":{"type":"object","description":"A dynamic object holding translations for different languages","additionalProperties":{"type":"string"},"readOnly":true}}},"Attribute":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"default_value":{"$ref":"#/components/schemas/AttributeValue"},"entity_type":{"$ref":"#/components/schemas/ContentType"},"erp_code":{"type":"string","maxLength":255,"description":"ERP code for integration purposes"},"pre_attribute":{"type":"boolean","description":"Is this attribute a pre-attribute?"},"description":{"type":"string","nullable":true,"description":"Description of the attribute"},"name":{"type":"string","maxLength":255,"description":"Name of the attribute"},"key":{"type":"string","maxLength":255,"description":"Key of the attribute"},"data_type":{"type":"string","description":"The type of channel. ex: web, distributed, hepsiburada, etc.","enum":["text","email","text_area","date","datetime","boolean","valuelabel","dropdown","multiple","price","nested_object","image","file","model","bundle"]}}},"ContentType":{"type":"object","properties":{"id":{"type":"integer","readOnly":true,"description":"Content Type ID"},"app_label":{"type":"string","description":"App label for the content type"},"model":{"type":"string","description":"Model for the content type"}},"required":["app_label","model"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/attribute_value/":{"get":{"summary":"List attribute values","description":"Retrieve a list of attribute values with optional filtering.","tags":["Attribute Values"],"parameters":[{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/label"},{"$ref":"#/components/parameters/value"},{"$ref":"#/components/parameters/erp_code"},{"$ref":"#/components/parameters/value__exact"},{"$ref":"#/components/parameters/pk__in"},{"$ref":"#/components/parameters/attribute"}],"responses":{"200":{"description":"A list of attribute values.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AttributeValue"}}}}},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/attribute-values-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
